Package com.smartgwt.client.util

# Class AsyncMultipleValuesGenerationResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.util.AsyncMultipleValuesGenerationResult

All Implemented Interfaces:
  `HasHandlers`

public class AsyncMultipleValuesGenerationResult extends AsyncOperationResult
The result of an asynchronous operation to generate multiple values.

See Also:
  - `FieldGeneration overview and related methods`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncMultipleValuesGenerationResult()`
  `AsyncMultipleValuesGenerationResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getGeneratedValues()`
  If successful, the generated values.
  `static AsyncMultipleValuesGenerationResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AsyncMultipleValuesGenerationResult`
  `setGeneratedValues(Object... generatedValues)`
  If successful, the generated values.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncMultipleValuesGenerationResult

    public AsyncMultipleValuesGenerationResult()

  - ### AsyncMultipleValuesGenerationResult

    public AsyncMultipleValuesGenerationResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AsyncMultipleValuesGenerationResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setGeneratedValues

    public AsyncMultipleValuesGenerationResult setGeneratedValues(Object... generatedValues)
    If successful, the generated values.
    Parameters:
      `generatedValues` - New generatedValues value. Default value is *initialized by the implementation*
    Returns:
      `AsyncMultipleValuesGenerationResult` instance, for chaining setter calls

  - ### getGeneratedValues

    public Object[] getGeneratedValues()
    If successful, the generated values.
    Returns:
      Current generatedValues value. Default value is *initialized by the implementation*